import { OnDestroy } from '@angular/core';
import * as i0 from "@angular/core";
export declare class CodeSnippetComponent implements OnDestroy {
    /** Code snippet to display */
    code: string;
    /** Indicates when copy button should be shown */
    showCopy: boolean;
    /** Show line numbers */
    showLineNumbers: boolean;
    /** Manually set language of the code */
    set setLanguage(language: string);
    /** Manually set language of the code */
    language: string;
    /** Indicates whether to use auto highlighting */
    autoHighlight: boolean;
    /** Whether copy button has been pressed */
    copiedToClipboard: boolean;
    /** Handles memory leaks for copied text scheduler */
    private copyTextSub;
    /** Length of time in which copied text appears (ms) */
    private readonly copiedTextLength;
    constructor();
    /**
     * On destroy lifecycle hook
     */
    ngOnDestroy(): void;
    /**
     * Copies code to the clipboard
     */
    copyToClipboard(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CodeSnippetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CodeSnippetComponent, "code-snippet", never, { "code": { "alias": "code"; "required": false; }; "showCopy": { "alias": "showCopy"; "required": false; }; "showLineNumbers": { "alias": "showLineNumbers"; "required": false; }; "setLanguage": { "alias": "language"; "required": false; }; }, {}, never, never, false, never>;
}
